<template>
            <v-row>
                <v-col
                    class="pa-5"
                            cols="12"
                            lg="12"
                            sm="12"
                            md="12"
                > 
                <h3 class="text-center">Статистика</h3>
                </v-col>
                <v-col
                    class="pa-10"
                    
                            cols="12"
                            lg="4"
                            sm="12"
                            md="4"
                > 
                    <span><b>Участие в проектах ({{projects.asDev + projects.asTL+ projects.asPO}}):</b></span><br>
                    <span>Как разработчик: {{projects.asDev}}</span><br>
                    <span>Как team-lead: {{projects.asTL}}</span><br>
                    <span>Как product owner: {{projects.asPO}}</span><br>
                    <span>Соблюдение сроков: {{soft.deadLines - soft.fails}}/{{soft.deadLines}}</span><br>
                </v-col>
                <v-col
                    class="pa-10"
                    
                            cols="12"
                            lg="4"
                            sm="12"
                            md="4"
                > 
                    <span><b>Вклад в платформу:</b></span><br>
                    <span>Добавлено учебных курсов: {{soft.courses}}</span><br>
                    <span>Добавлено модулей: {{soft.modules}}</span><br>
                    <span>Проведено исследований: {{soft.research}}</span><br>
                    <span>Участие в "Платформизатор": {{soft.games}}</span><br>
                </v-col>
                <v-col
                    class="pa-5"
                    cols="12"
                    lg="4"
                    sm="12"
                    md="4"
                >
                    <span><b>Hard skills:</b></span><br>
                        <span v-for="skill in skills" v-bind:key="skill.tag"> 
                        <v-chip
                            class="ma-2"
                            color="primary"
                            text-color="white"
                            >
                            <v-avatar
                                left
                                class="blue darken-4"
                            >
                            {{skill.value}}
                            </v-avatar>
                            {{skill.tag}}
                        </v-chip>
                        </span>
                </v-col>
            </v-row>
</template>

<script>
    export default {
        name: 'Metrics',
        data: () => ({
            projects: {asDev: 5, asTL: 1, asPO: 0},
            soft: {deadLines: 9, fails: 1, courses: 5, research: 1, games: 2, modules: 9},
            skills: [{tag:'NodeJS', value: 12}, {tag:'Golang', value: 1}, {tag:'ReactJS', value: 2}, {tag:'VueJS', value: 1}, {tag:'C#', value: 6}]
        })
    }
</script>